javax.jdo.query

## Enum OrderExpression.OrderDirection

- java.lang.Object
- - java.lang.Enum<OrderExpression.OrderDirection>
  - - javax.jdo.query.OrderExpression.OrderDirection

- All Implemented Interfaces:
    Serializable, Comparable<OrderExpression.OrderDirection>
  Enclosing interface:
    OrderExpression<T>

      public static enum OrderExpression.OrderDirection
      extends Enum<OrderExpression.OrderDirection>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASC`
    `DESC`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OrderExpression.OrderDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OrderExpression.OrderDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASC

          public static final OrderExpression.OrderDirection ASC

    - #### DESC

          public static final OrderExpression.OrderDirection DESC

  - ### Method Detail

    - #### values

          public static OrderExpression.OrderDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OrderExpression.OrderDirection c : OrderExpression.OrderDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OrderExpression.OrderDirection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–1970 Apache Software Foundation. All rights reserved.